Redmine - Defect #41283

Cannot attach file with certain names
2024-09-20 15:23 - Katarina Eklund

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Attachments Estimated time: 0.00 hour
Target version:

Resolution: Cant reproduce Affected version: 511
Description

We have found that some documents cannot be attached to the cases and the common detail we have found is that it doesn't work if

the file name contains the word "time" directly followed by a blankspace.
It works if we remove that word or removing the blankspace is a workaround we use.

Examples:

time.doc works
timeclock.doc works
time clock.doc error
clock time.doc works

History

#1 - 2024-09-21 10:43 - Go MAEDA

| cannot reproduce the issue.
Could you paste the screenshot of the screen showing the error?

#2 - 2024-09-23 13:14 - Katarina Eklund
- File clipboard-202409231312-vfdwh.png added
clipboard-202409231312-vfdwh.png
Already when | choose the file | get the error message.
As you can see in the screenshot it works as planned with files where the word time is not followed by a blankspace.
But | get an error for when | try when the blankspace is there.
Worth mentioning is also that all four tests is done with the same document, so nothing more than the title is changed during these tests.
#3 - 2024-09-23 14:13 - Holger Just
- Status changed from New to Needs feedback

Please see Submissions for a description of information we require from you to be able to reproduce this issue.

In a default Redmine, this issue does not occur. It may be caused by a plugin (in which case you should contact the plugin authors), some unusual
server configuration or e.g. a virus scanner on your sever. Check your server logs at logs/production.log for more details.

#4 - 2024-10-08 11:19 - Katarina Eklund
Hi!
We couldn’t see anything at all about these documents in the logs.

| can also see that this has been reported earlier in for example https:/www.redmine.org/issues/10189 .
You can close this case, we have found a workaround by changing the name and that is good enough for us at the moment.

/Katarina

#5 - 2024-10-08 15:40 - Holger Just
- Status changed from Needs feedback to Closed

- Resolution set to Cant reproduce
https://www.redmine.org/projects/redmine/wiki/Submissions
https://www.redmine.org/issues/10189

Without more information, we are unfortunately unable to reproduce this and thus can't fix any possible causes of this in Redmine itself.

If you have more information in the future, please add the information | asked for in #41283#note-3 and re-open this issue. Until then, I'm going to
close this issue.
https://www.redmine.org/issues/41283#note-3
